
TYPO3.Flow - Bug # 31696

Status: Resolved Priority: Should have
Author: Ferdinand Kuhl Category: Persistence
Created: 2011-11-09 Assigned To: Sebastian Kurfuerst
Updated: 2011-11-12 Due date:
PHP Version: 5.3
Has patch: No
Complexity:
Affected Flow version: FLOW3 1.0.0
Subject: TYPO3\FLOW3\Persistence\Doctrine\Query __sleep  __wakeup cycle defect
Description

If you pass a query result to an ajax-widget and execute it there, it substantially changes from the original query.

If you used complex "where" - criterions which involves joins, the parameters at the ajax-side leads to an error, because the joins will
vanish during this process.

Associated revisions
Revision c131afab - 2011-11-10 11:51 - Ferdinand Kuhl

[BUGFIX] Fix Persistence\Doctrine\Query serialization cycle

If you assign a QueryResult to a ViewHelper and later on use
$result->getQuery(), this query is not executable any more, if
you used complex "where"-clauses involving joins, as these
joins are not reapplied to the object during the __wakeup()
call.

This patch ensures the query being callable like the
original one after __wakeup() by saving all joins in array
and reapplies them after wakeup. A functional test is
included.

Change-Id: I0cb6a5cfd0b5dafe16dc65295c252c60fe90b9e7
Fixes: #31696
Releases: 1.0, 1.1

Revision d1c5cd65 - 2011-11-16 14:45 - Ferdinand Kuhl

[BUGFIX] Fix Persistence\Doctrine\Query serialization cycle

If you assign a QueryResult to a ViewHelper and later on use
$result->getQuery(), this query is not executable any more, if
you used complex "where"-clauses involving joins, as these
joins are not reapplied to the object during the __wakeup()
call.

This patch ensures the query being callable like the
original one after __wakeup() by saving all joins in array
and reapplies them after wakeup. A functional test is
included.

Change-Id: I1e5a4b607738b2b4738e31ec68d1c2164201e115
Fixes: #31696
Releases: 1.0, 1.1

History
#1 - 2011-11-09 08:19 - Mr. Hudson
- Status changed from New to Under Review

Patch set 1 of change I0cb6a5cfd0b5dafe16dc65295c252c60fe90b9e7 has been pushed to the review server.
It is available at http://review.typo3.org/6606

#2 - 2011-11-09 08:24 - Mr. Hudson

Patch set 2 of change I0cb6a5cfd0b5dafe16dc65295c252c60fe90b9e7 has been pushed to the review server.
It is available at http://review.typo3.org/6606

#3 - 2011-11-09 08:59 - Mr. Hudson

Patch set 3 of change I0cb6a5cfd0b5dafe16dc65295c252c60fe90b9e7 has been pushed to the review server.
It is available at http://review.typo3.org/6606

#4 - 2011-11-10 11:52 - Mr. Hudson

Patch set 4 of change I0cb6a5cfd0b5dafe16dc65295c252c60fe90b9e7 has been pushed to the review server.
It is available at http://review.typo3.org/6606

#5 - 2011-11-10 12:36 - Ferdinand Kuhl
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:c131afab8cf210afc29e797b4029530e2034369e.

#6 - 2011-11-12 21:05 - Karsten Dambekalns
- Assigned To set to Sebastian Kurfuerst
- Affected Flow version changed from Git master to FLOW3 1.0.0
